Alokai
You are reading the documentation for v7.x and earlier, which is no longer the latest version. Switch to v8.x

addEntryAndGetCart

Add product to the cart and get the updated cart from SAP Commerce Cloud.

This method exchanges data with two endpoints exposed by the SAP OCC API: createCartEntry and getCart.

When vsf-sap-token cookie is present in the request, this method will add a product to the current user's cart. In case there is no cookie, it will add it to the anonymous user's cart. For logged-in users, make sure to pass cart code as the cartId param. In case of anonymous users, pass cart guid instead.

Signature

export declare function addEntryAndGetCart(
	context: SapccIntegrationContext,
	props: AddToCartProps
): Promise<Cart>;

Parameters

NameRequiredTypeDescription
contextRequiredSapccIntegrationContext
propsRequiredAddToCartPropsParameter object which can be used with this method. Refer to its type definition to learn about possible properties.

Returns

Returns a representation of a Cart.

Referenced Types

Examples

Adding product to the cart.

import { sdk } from '~/sdk';

const updatedCart = await sdk.commerce.addEntryAndGetCart({
  cartId: '00035084',
  entry: {
    quantity: 1,
    product: { code: '1992695' }
  }
});

Adding product to the cart and selecting response fields.

import { sdk } from '~/sdk';

const updatedCart = await sdk.commerce.addEntryAndGetCart({
  cartId: '00035084',
  entry: {
    quantity: 1,
    product: { code: '1992695' }
  },
  fields: 'guid,entries(quantity,product(code))'
});

Adding product to the cart and setting deliveryPointOfService.

import { sdk } from '~/sdk';

const updatedCart = await sdk.commerce.addEntryAndGetCart({
  cartId: '00035084',
  entry: {
    quantity: 1,
    product: { code: '1992695' },
    deliveryPointOfService: { name: 'ap_warehouse_e' }
  },
});

On this page